Machine [cluster.x-k8s.io/v1beta1]
- Description
- Machine is the Schema for the machines API.
- Type
object
Specification
.spec
- Description
- spec is the desired state of Machine.
- Type
object- Required
bootstrapclusterNameinfrastructureRef
.spec.bootstrap
- Description
- bootstrap is a reference to a local struct which encapsulates fields to configure the Machine’s bootstrapping mechanism.
- Type
object
.spec.bootstrap.configRef
- Description
- configRef is a reference to a bootstrap provider-specific resource that holds configuration details. The reference is optional to allow users/operators to specify Bootstrap.DataSecretName without the need of a controller.
- Type
object
.spec.infrastructureRef
- Description
- infrastructureRef is a required reference to a custom resource offered by an infrastructure provider.
- Type
object
.spec.readinessGates
- Description
- readinessGates specifies additional conditions to include when evaluating Machine Ready condition. This field can be used e.g. by Cluster API control plane providers to extend the semantic of the Ready condition for the Machine they control, like the kubeadm control provider adding ReadinessGates for the APIServerPodHealthy, SchedulerPodHealthy conditions, etc. Another example are external controllers, e.g. responsible to install special software/hardware on the Machines; they can include the status of those components with a new condition and add this condition to ReadinessGates. NOTE: This field is considered only for computing v1beta2 conditions. NOTE: In case readinessGates conditions start with the APIServer, ControllerManager, Scheduler prefix, and all those readiness gates condition are reporting the same message, when computing the Machine's Ready condition those readinessGates will be replaced by a single entry reporting "Control plane components: " + message. This helps to improve readability of conditions bubbling up to the Machine's owner resource / to the Cluster).
- Type
array
.spec.readinessGates[]
- Description
- MachineReadinessGate contains the type of a Machine condition to be used as a readiness gate.
- Type
object- Required
conditionType
.spec.taints
- Description
- The list of the taints to be applied to the corresponding Node in additive manner. This list will not overwrite any other taints added to the Node on an ongoing basis by other entities. These taints should be actively reconciled e.g. if you ask the machine controller to apply a taint and then manually remove the taint the machine controller will put it back) but not have the machine controller remove any taints
- Type
array
.spec.taints[]
- Description
- The node this Taint is attached to has the "effect" on any pod that does not tolerate the Taint.
- Type
object- Required
effectkey
.status
- Description
- status is the observed state of Machine.
- Type
object
.status.addresses
- Description
- addresses is a list of addresses assigned to the machine. This field is copied from the infrastructure provider reference.
- Type
array
.status.addresses[]
- Description
- MachineAddress contains information for the node's address.
- Type
object- Required
addresstype
.status.conditions
- Description
- conditions defines current service state of the Machine.
- Type
array
.status.conditions[]
- Description
- Condition defines an observation of a Cluster API resource operational state.
- Type
object- Required
lastTransitionTimestatustype
.status.deletion
- Description
- deletion contains information relating to removal of the Machine. Only present when the Machine has a deletionTimestamp and drain or wait for volume detach started.
- Type
object
.status.nodeInfo
- Description
- nodeInfo is a set of ids/uuids to uniquely identify the node. More info: https://kubernetes.io/docs/concepts/nodes/node/#info
- Type
object- Required
architecturebootIDcontainerRuntimeVersionkernelVersionkubeProxyVersionkubeletVersionmachineIDoperatingSystemosImagesystemUUID
.status.nodeRef
- Description
- nodeRef will point to the corresponding Node if it exists.
- Type
object
.status.v1beta2
- Description
- v1beta2 groups all the fields that will be added or modified in Machine's status with the V1Beta2 version.
- Type
object
.status.v1beta2.conditions
- Description
- conditions represents the observations of a Machine's current state. Known condition types are Available, Ready, UpToDate, BootstrapConfigReady, InfrastructureReady, NodeReady, NodeHealthy, Deleting, Paused. If a MachineHealthCheck is targeting this machine, also HealthCheckSucceeded, OwnerRemediated conditions are added. Additionally control plane Machines controlled by KubeadmControlPlane will have following additional conditions: APIServerPodHealthy, ControllerManagerPodHealthy, SchedulerPodHealthy, EtcdPodHealthy, EtcdMemberHealthy.
- Type
array
.status.v1beta2.conditions[]
- Description
- Condition contains details for one aspect of the current state of this API Resource.
- Type
object- Required
lastTransitionTimemessagereasonstatustype
API Endpoints
The following API endpoints are available:
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machinesDELETE: delete collection of MachineGET: list objects of kind MachinePOST: create a new Machine
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machines/{name}DELETE: delete the specified MachineGET: read the specified MachinePATCH: partially update the specified MachinePUT: replace the specified Machine
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machines/{name}/statusGET: read status of the specified MachinePATCH: partially update status of the specified MachinePUT: replace status of the specified Machine
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machines
- HTTP method
DELETE- Description
- delete collection of Machine
- HTTP responses
- HTTP method
GET- Description
- list objects of kind Machine
- HTTP responses
- HTTP method
POST- Description
- create a new Machine
- Query parameters
- Body parameters
- HTTP responses
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machines/{name}
- HTTP method
DELETE- Description
- delete the specified Machine
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified Machine
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified Machine
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified Machine
- Query parameters
- Body parameters
- HTTP responses
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machines/{name}/status
- HTTP method
GET- Description
- read status of the specified Machine
- HTTP responses
- HTTP method
PATCH- Description
- partially update status of the specified Machine
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace status of the specified Machine
- Query parameters
- Body parameters
- HTTP responses